% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{findIntensityThreshold}
\alias{findIntensityThreshold}
\title{Estimate the intensity threshold for the reconstruction of spatial structures}
\usage{
findIntensityThreshold(ppp, mark_select = NULL, bndw = NULL, dim, steps = 250)
}
\arguments{
\item{ppp}{point pattern object of class \code{ppp}}

\item{mark_select}{character; name of mark that is to be selected for the
reconstruction}

\item{bndw}{numeric; bandwith of the sigma parameter in the density estimation,
if no value is given the bandwith is estimated using cross validation with
the \code{bw.diggle} function.}

\item{dim}{numeric; x dimension of the final reconstruction.}

\item{steps}{numeric; value used to filter the density estimates, where only
densities greater than the maximum value divided by \code{threshold} are considered.
Default is 250.}
}
\value{
numeric; estimated intensity threshold
}
\description{
Estimate the intensity threshold for the reconstruction of spatial structures
}
\examples{
spe <- imcdatasets::Damond_2019_Pancreas("spe", full_dataset = FALSE)
ppp <- SPE2ppp(spe, marks = "cell_category", image_col = "image_name", image_id = "E04")
findIntensityThreshold(ppp, mark_select = "islet", dim = 250)
}
