% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/calculateMetrics.R
\name{meanShapeMetrics}
\alias{meanShapeMetrics}
\title{Calculate mean shape metrics of a set of polygons}
\usage{
meanShapeMetrics(totalShapeMetricMatrix)
}
\arguments{
\item{totalShapeMetricMatrix}{matrix of shape metrics}
}
\value{
matrix; matrix of mean shape metrics
}
\description{
Calculate mean shape metrics of a set of polygons
}
\examples{
spe <- imcdatasets::Damond_2019_Pancreas("spe", full_dataset = FALSE)
islet_poly <- reconstructShapeDensityImage(spe,
    marks = "cell_category",
    image_col = "image_name", image_id = "E04", mark_select = "islet", dim = 500
)
shape_metrics <- totalShapeMetrics(islet_poly)
meanShapeMetrics(shape_metrics)
}
