% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/reconstructShapePPP.R
\name{reconstructShapeDensity}
\alias{reconstructShapeDensity}
\title{Reconstruct polygon from point pattern density}
\usage{
reconstructShapeDensity(
  ppp,
  mark_select = NULL,
  bndw = NULL,
  thres = NULL,
  dim
)
}
\arguments{
\item{ppp}{point pattern object of class \code{ppp}}

\item{mark_select}{character; name of mark that is to be selected for the
reconstruction}

\item{bndw}{bandwidth of kernel density estimator}

\item{thres}{intensity threshold for the reconstruction}

\item{dim}{numeric; x dimension of the final reconstruction.}
}
\value{
sf object of class \code{POLYGON}
}
\description{
This function estimates the density of a spatial point pattern (\code{ppp}),
thresholds the density to create a binary image, and then converts it
to a valid \code{sf} object (polygons).
}
\examples{
spe <- imcdatasets::Damond_2019_Pancreas("spe", full_dataset = FALSE)
ppp <- SPE2ppp(spe, marks = "cell_category", image_col = "image_name", image_id = "E04")
thres <- findIntensityThreshold(ppp, mark_select = "islet", dim = 500)
islet_poly <- reconstructShapeDensity(ppp, mark_select = "islet", thres = thres, dim = 500)
plot(islet_poly)
}
