% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/shapeMetricsFromSF.R
\name{st_feature_axes}
\alias{st_feature_axes}
\title{Calculate the length of feature axes of an sf polygon}
\usage{
st_feature_axes(sfPoly)
}
\arguments{
\item{sfPoly}{\code{POLYGON } of class \code{sf}}
}
\value{
list; list containing the major and minor axis lengths
}
\description{
Calculate the length of feature axes of an sf polygon
}
\examples{
matrix_R <- matrix(c(
    0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 1, 1, 1, 1, 1, 0, 0, 0,
    0, 1, 1, 0, 0, 1, 1, 0, 0,
    0, 1, 1, 0, 0, 1, 1, 0, 0,
    0, 1, 1, 1, 1, 1, 0, 0, 0,
    0, 1, 1, 0, 1, 1, 0, 0, 0,
    0, 1, 1, 0, 0, 1, 1, 0, 0,
    0, 1, 1, 0, 0, 1, 1, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0
), nrow = 9, byrow = TRUE)
poly_R <- binaryImageToSF(matrix_R, xmin = 0, xmax = 1, ymin = 0, ymax = 1)
st_feature_axes(poly_R)
}
