% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/calculateMetrics.R
\name{totalShapeMetrics}
\alias{totalShapeMetrics}
\title{Calculate a set of shape metrics of a set of polygons}
\usage{
totalShapeMetrics(sfInput)
}
\arguments{
\item{sfInput}{\code{MULTIPOLYGON} of class sf}
}
\value{
matrix; matrix of shape metrics
}
\description{
Calculate a set of shape metrics of a set of polygons
}
\details{
Calculate a set of shape metrics of a set of polygons.
The function calculates all metrics that are implemented in the function
\code{shapeMetrics()}
}
\examples{
spe <- imcdatasets::Damond_2019_Pancreas("spe", full_dataset = FALSE)
islet_poly <- reconstructShapeDensityImage(spe,
    marks = "cell_category",
    image_col = "image_name", image_id = "E04", mark_select = "islet", dim = 500
)
totalShapeMetrics(islet_poly)
}
